<?php
/*
 *
 * @package		ARI Smart Content
 * @author		ARI Soft
 * @copyright	Copyright (c) 2011 www.ari-soft.com. All rights reserved
 * @license		GNU/GPL (http://www.gnu.org/copyleft/gpl.html)
 * 
 */

(defined('_JEXEC') && defined('ARI_FRAMEWORK_LOADED')) or die;
?>

<?php $this->dtItems->render(); ?>

<script type="text/javascript">
YAHOO.util.Event.onDOMReady(function() {
	var page = YAHOO.ARISoft.page,
		pageManager = page.pageManager;

	pageManager.registerActionGroup('itemAction', {
		onAction: page.actionHandlers.simpleDatatableAction,
		dataTable: '<?php echo $this->dtItems->id; ?>',
		enableValidation: true,
		errorMessage: "<?php echo JText::_('COM_ARISMARTCONTENT_LABEL_ACTIONFAIL', true); ?>",
		completeMessage: '',
		loadingMessage: '<div class="ari-loading"><?php echo JText::_('COM_ARISMARTCONTENT_LABEL_LOADING', true); ?></div>'
	});
	pageManager.registerAction('ajaxDelete', {
		group: 'itemAction',
		completeMessage: '<?php echo JText::_('COM_ARISMARTCONTENT_COMPLETE_PROVIDERSOURCEDELETE'); ?>'
	});
});
</script>